/*
 Accordion
========================================================================== */
.wp-block-meta-tabs {
  container-type: inline-size;
}
.wp-block-meta-tabs details summary {
  cursor: pointer;
}
.wp-block-meta-tabs details:not([open]) summary ~ * {
  animation: none;
}
.wp-block-meta-tabs details[open] summary ~ * {
  animation: sweep 0.25s ease-in-out;
  animation-direction: normal;
}
@media screen and (min-width: 800px) {
  .wp-block-meta-tabs:not(.acf-block-preview) summary {
    display: none;
  }
  .wp-block-meta-tabs:not(.acf-block-preview) details {
    margin: 0;
  }
}
.wp-block-meta-tabs.is-style-vertical-tabs {
  display: flex;
  gap: clamp(24px, 9.6px + 3vw, 48px);
}
.wp-block-meta-tabs.is-style-vertical-tabs .tab-buttons {
  max-width: 230px;
  flex-shrink: 0;
  display: flex;
  flex-direction: column;
  gap: 5px;
}
.wp-block-meta-tabs.is-style-vertical-tabs .tab-buttons::before {
  content: "";
  position: absolute;
  bottom: auto;
  top: 0;
  left: auto;
  right: 0;
  width: 1px;
  height: 100%;
  background: currentcolor;
  opacity: 0.15;
}
@media screen and (max-width: 799px) {
  .wp-block-meta-tabs.is-style-vertical-tabs .tab-buttons {
    display: none;
  }
}
.wp-block-meta-tabs.is-style-vertical-tabs .tab-buttons button {
  color: var(--wp--custom--color--heading);
  line-height: 1.2;
  justify-content: flex-end;
  position: relative;
  font-size: clamp(16px, 14.8px + 0.25vw, 18px);
  border-radius: 0;
  padding: 6px clamp(24px, 9.6px + 3vw, 48px) 6px 0;
  transition: color 0.2s ease, background 0.2s ease;
}
.has-text-color .wp-block-meta-tabs.is-style-vertical-tabs .tab-buttons button {
  color: currentcolor;
}
.wp-block-meta-tabs.is-style-vertical-tabs .tab-buttons button:hover:before {
  opacity: 0.75;
}
.wp-block-meta-tabs.is-style-vertical-tabs .tab-buttons button.active {
  box-shadow: inset -2px 0 0 0 var(--wp--preset--color--accent);
  font-weight: 600;
  opacity: 1;
}
.wp-block-meta-tabs.is-style-vertical-tabs .tabs {
  width: 100%;
}
.wp-block-meta-tabs .tab-buttons {
  overflow-y: scroll;
  width: 100%;
  text-align: center;
  white-space: nowrap;
  margin-bottom: 32px;
  scrollbar-width: none;
  -ms-overflow-style: none;
  position: relative;
}
.wp-block-meta-tabs .tab-buttons::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 1px;
  background: currentcolor;
  opacity: 0.15;
}
.wp-block-meta-tabs .tab-buttons::-webkit-scrollbar {
  display: none;
}
@media screen and (max-width: 799px) {
  .wp-block-meta-tabs .tab-buttons {
    display: none;
  }
}
.wp-block-meta-tabs .tab-buttons .tab-button {
  display: inline-flex;
  line-height: 1.1;
  padding: 12px 16px 12px 16px;
  letter-spacing: -0.02em;
  font-size: clamp(16px, 14.8px + 0.25vw, 18px);
  transition: background 0.2s ease, color 0.2s ease;
  color: var(--wp--custom--color--heading);
}
.has-text-color .wp-block-meta-tabs .tab-buttons .tab-button {
  color: currentcolor;
}
.wp-block-meta-tabs .tab-buttons .tab-button:not(:first-child) {
  margin-left: 10px;
}
.wp-block-meta-tabs .tab-buttons .tab-button:hover {
  background: rgba(var(--wp--preset--color--secondary), 0.15);
}
.wp-block-meta-tabs .tab-buttons .tab-button.active {
  opacity: 1;
  font-weight: 600;
  box-shadow: inset 0 -2px 0 0 var(--wp--preset--color--accent);
}
.wp-block-meta-tabs .tabs > .block-list-appender {
  max-width: 200px;
  margin: 10px auto;
  padding: 10px 10px 10px 16px;
  display: flex;
  gap: 0 10px;
  justify-content: space-between;
  align-items: center;
  position: relative;
  background-color: white;
  color: var(--wp--custom--color--links);
  border-radius: 4px;
  box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.15);
  transition: color 0.2s ease, background 0.2s ease;
}
.wp-block-meta-tabs .tabs > .block-list-appender:hover {
  color: var(--wp--custom--color--links-hover);
  background-color: var(--wp--preset--color--shade);
}
.wp-block-meta-tabs .tabs > .block-list-appender::before {
  content: "Add Tab Item";
  font-size: 14px;
}
.wp-block-meta-tabs .tabs > .block-list-appender button {
  background: var(--wp--preset--color--secondary) !important;
  color: var(--wp--custom--color--background) !important;
}
.wp-block-meta-tabs .tabs > .block-list-appender button::after {
  content: "";
  position: absolute;
  inset: 0;
}
@keyframes sweep {
  0% {
    opacity: 0;
    transform: translateX(-5px);
  }
  100% {
    opacity: 1;
    transform: translateX(0);
  }
}
